JobTaxonomyModel (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Class JobTaxonomyModel

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.JobTaxonomyModel

- All Implemented Interfaces:
    Serializable

      public class JobTaxonomyModel
      extends Object
      implements Serializable

  Author:
    Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DATASOURCE`
    `protected String` | `elapsedTime`
    `static String` | `ELAPSEDTIME`
    `protected Date` | `endTime`
    `static String` | `ENDTIME`
    `static String` | `INFO`
    `static String` | `ITEMSNUMBER`
    `static String` | `JOBINDENTIFIER`
    `static String` | `JOBNAME`
    `static String` | `PROGRESS`
    `static String` | `RANK`
    `static String` | `SCIENTIFICNAME`
    `protected Date` | `startTime`
    `static String` | `STARTTIME`
    `static String` | `STATUS`
    `protected Date` | `submitTime`
    `static String` | `SUBMITTIME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobTaxonomyModel()`
    `JobTaxonomyModel(String jobIdentifier, String currentJobName, DownloadState state)`
    `JobTaxonomyModel(String jobIdentifier, String currentJobName, DownloadState state, List<JobTaxonomyModel> listStatusChild, String scientificName, String dataSource, String rank)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDataSource()`
    `DownloadState` | `getDownloadState()`
    `String` | `getElapsedTime()`
    `Date` | `getEndTime()`
    `int` | `getFailuresNumbers()`
    `String` | `getIdentifier()`
    `List<JobTaxonomyModel>` | `getListChildStatus()`
    `String` | `getName()`
    `String` | `getRank()`
    `String` | `getScientificName()`
    `Date` | `getStartTime()`
    `Date` | `getSubmitTime()`
    `void` | `setCurrentJobName(String name)`
    `void` | `setDataSource(String dataSource)`
    `void` | `setDownloadState(DownloadState downloadState)`
    `void` | `setElapsedTime(String elapsedTime)`
    `void` | `setEndTime(Date endTime)`
    `void` | `setFailuresNumbers(int failuresNumbers)`
    `void` | `setJobsIdentifier(String identifier)`
    `void` | `setListChildJobs(List<JobTaxonomyModel> listStatusChild)`
    `void` | `setRank(String rank)`
    `void` | `setScientificName(String scientificName)`
    `void` | `setStartTime(Date startTime)`
    `void` | `setSubmitTime(Date startTime)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### JOBINDENTIFIER

          public static final String JOBINDENTIFIER

      See Also:
        Constant Field Values

    - #### JOBNAME

          public static final String JOBNAME

      See Also:
        Constant Field Values

    - #### STARTTIME

          public static final String STARTTIME

      See Also:
        Constant Field Values

    - #### SUBMITTIME

          public static final String SUBMITTIME

      See Also:
        Constant Field Values

    - #### PROGRESS

          public static final String PROGRESS

      See Also:
        Constant Field Values

    - #### ENDTIME

          public static final String ENDTIME

      See Also:
        Constant Field Values

    - #### ELAPSEDTIME

          public static final String ELAPSEDTIME

      See Also:
        Constant Field Values

    - #### INFO

          public static final String INFO

      See Also:
        Constant Field Values

    - #### STATUS

          public static final String STATUS

      See Also:
        Constant Field Values

    - #### DATASOURCE

          public static final String DATASOURCE

      See Also:
        Constant Field Values

    - #### SCIENTIFICNAME

          public static final String SCIENTIFICNAME

      See Also:
        Constant Field Values

    - #### RANK

          public static final String RANK

      See Also:
        Constant Field Values

    - #### ITEMSNUMBER

          public static final String ITEMSNUMBER

      See Also:
        Constant Field Values

    - #### startTime

          protected Date startTime

    - #### submitTime

          protected Date submitTime

    - #### endTime

          protected Date endTime

    - #### elapsedTime

          protected String elapsedTime

  - ### Constructor Detail

    - #### JobTaxonomyModel

          public JobTaxonomyModel()

    - #### JobTaxonomyModel

          public JobTaxonomyModel(String jobIdentifier,
                          String currentJobName,
                          DownloadState state)

      Parameters:
        `jobIdentifier` -
        `currentJobName` -
        `state` -

    - #### JobTaxonomyModel

          public JobTaxonomyModel(String jobIdentifier,
                          String currentJobName,
                          DownloadState state,
                          List<JobTaxonomyModel> listStatusChild,
                          String scientificName,
                          String dataSource,
                          String rank)

      Parameters:
        `jobIdentifier` -
        `currentJobName` -
        `state` -
        `listStatusChild` -
        `scientificName` -
        `dataSource` -

  - ### Method Detail

    - #### setListChildJobs

          public void setListChildJobs(List<JobTaxonomyModel> listStatusChild)

    - #### getIdentifier

          public String getIdentifier()

    - #### setJobsIdentifier

          public void setJobsIdentifier(String identifier)

    - #### getName

          public String getName()

    - #### setCurrentJobName

          public void setCurrentJobName(String name)

    - #### getDownloadState

          public DownloadState getDownloadState()

    - #### setDownloadState

          public void setDownloadState(DownloadState downloadState)

    - #### getFailuresNumbers

          public int getFailuresNumbers()

    - #### setFailuresNumbers

          public void setFailuresNumbers(int failuresNumbers)

    - #### getSubmitTime

          public Date getSubmitTime()

    - #### setSubmitTime

          public void setSubmitTime(Date startTime)

    - #### getEndTime

          public Date getEndTime()

    - #### setEndTime

          public void setEndTime(Date endTime)

    - #### getElapsedTime

          public String getElapsedTime()

    - #### setElapsedTime

          public void setElapsedTime(String elapsedTime)

    - #### getListChildStatus

          public List<JobTaxonomyModel> getListChildStatus()

    - #### getDataSource

          public String getDataSource()

    - #### setDataSource

          public void setDataSource(String dataSource)

    - #### getScientificName

          public String getScientificName()

    - #### setScientificName

          public void setScientificName(String scientificName)

    - #### getRank

          public String getRank()

    - #### setRank

          public void setRank(String rank)

    - #### getStartTime

          public Date getStartTime()

    - #### setStartTime

          public void setStartTime(Date startTime)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013. All Rights Reserved.